Subject: 27.0.50; Reduce calls to xref-collect-matches in dired-do-find-regexp
From: Eric Abrahamsen <[email-masked]>
To: [email-masked]
Date: Tue, 30 Jul 2019 10:20:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This is a proper bug report for an issue I raised on emacs.devel:

When marking multiple files in Dired, then running a search with
`dired-do-find-regexp', `xref-collect-matches' is called once per marked
file, when it could just be called once for the whole search. This can
slow things down quite a bit.